#include <iostream>
using namespace std;

int main()
{
    int n, l, i=0, br=0;
    cin>>n>>l;
    int h[n];
    while (i<n) {
        cin>>h[i];
        if (h[i]>=l)
        br++;
        i++;
    }
    if (br==n)
    br=-1;
    
    cout<<br;

    return 0;
}